<form name="editForm" role="form" novalidate [formGroup]="editForm">
<!-- <div class="modal-header" style="background-color:#E7E2E1">
        <h4 id="jhi-employee-heading" style="font-weight: bold; color:#6C6C6C">Create or edit a Siswa</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div> -->

    <div class="modal-body">
        <div class="row justify-content-center">
    	<div class="col-11">
        <jhi-alert-error></jhi-alert-error>
	    <jhi-alert></jhi-alert>
		<ul class="nav nav-tabs" id="myTab" role="tablist">
		  <li class="nav-item">
		    <a class="nav-link active" id="biodata-tab" data-toggle="tab" href="#biodata" role="tab" aria-controls="biodata" aria-selected="true">Biodata</a>
		  </li>
		  <li class="nav-item">
		    <a class="nav-link" id="setting-tab" data-toggle="tab" href="#setting" role="tab" aria-controls="setting" aria-selected="false">Setting</a>
		  </li>
		  <!-- <li class="nav-item">
		    <a class="nav-link" id="akun-tab" data-toggle="tab" href="#akun" role="tab" aria-controls="akun" aria-selected="false">Akun</a>
		  </li> -->
		</ul>
		 <label class="form-control-label justify-content-center"><i><span class="required3 d-block d-md-none">*&nbsp;&nbsp;wajib diisi</span></i></label>
		 <label class="form-control-label justify-content-center"><i><span class="required2 d-none d-md-inline">*&nbsp;&nbsp;wajib diisi</span></i></label>
		<div class="tab-content" id="myTabContent">
		  <div class="tab-pane fade show active" id="biodata" role="tabpanel" aria-labelledby="biodata-tab">
			  <!-- <div class="form-group" [hidden]="!editForm.get('siswaId')!.value">
                   <label for="id">ID</label>
                   <input type="text" class="form-control" id="siswaId" name="siswaId" formControlName="siswaId"
                       readonly />
               </div> -->
                <div class="card">
					  <div class="row pad2">
			                <div class="col-md-6">
				                <div class="form-group">
				                    <label class="form-control-label" for="field_nis">Nis&nbsp;<span class="required">*</span></label>
				                    <input type="text" class="form-control" name="nis" id="field_nis"
				                           formControlName="nis"/>
				                    <div *ngIf="editForm.get('nis')!.invalid && (editForm.get('nis')!.dirty || editForm.get('nis')!.touched)">
				                        <small class="form-text text-danger"
				                               *ngIf="editForm.get('nis')?.errors?.required">
				                        This field is required.
				                        </small>
				                    </div>
				                </div>
			                </div>
			            </div>
		            <div class="row pad2">
		                <div class="col-md-6">
		                	<div class="form-group">
			                    <label class="form-control-label" for="field_firstName">First Name&nbsp;<span class="required">*</span></label>
			                    <input type="text" class="form-control" name="firstName" id="field_firstName"
			                           formControlName="firstName"/>
			                </div>
		                </div>
		                <div class="col-md-6">
			                <div class="form-group">
			                    <label class="form-control-label" for="field_lastName">Last Name&nbsp;<span class="required">*</span></label>
			                    <input type="text" class="form-control" name="lastName" id="field_lastName"
			                           formControlName="lastName"/>
			                </div>
		                </div>
	                </div>
	                <div class="row pad2">
	                <div class="col-md-5">
	                	<div class="form-group">
		                    <label class="form-control-label" for="field_waliMurid">Wali Murid&nbsp;<span class="required">*</span></label>
		                    <input type="text" class="form-control" name="waliMurid" id="field_waliMurid"
		                           formControlName="waliMurid"/>
		                </div>
	                </div>
	                <div class="col-md-3">
		                <div class="form-group">
		                    <label class="form-control-label" for="field_tempatLahir">Tempat Lahir&nbsp;<span class="required">*</span></label>
		                    <input type="text" class="form-control" name="tempatLahir" id="field_tempatLahir"
		                           formControlName="tempatLahir"/>
		                </div>
	                </div>
	                <div class="col-md-4">
		                <div class="form-group">
		                    <label class="form-control-label" for="field_tanggalLahir">Tanggal Lahir&nbsp;<span class="required">*</span></label>
		                    <div class="input-group">
		                        <input id="field_contractEnd" type="text" class="form-control" name="tanggalLahir" ngbDatepicker  #dateDpEnd="ngbDatepicker" formControlName="tanggalLahir"/>
		                        <span class="input-group-append">
		                            <button mdbBtn type="button" color="primary" rounded="true" outline="true" mdbWavesEffect (click)="dateDpEnd.toggle()"><i class="fa fa-calendar" aria-hidden="true"></i></button>
		                        </span>
		                    </div>
		                </div>
		                </div>
	                </div>
			
	                <div class="row pad2">
		                <div class="col-md-12">
			               <div class="form-group">
			                    <label class="form-control-label" for="field_alamat">Alamat&nbsp;<span class="required">*</span></label>
			                    <input type="text" class="form-control" name="alamat" id="field_alamat"
			                           formControlName="alamat"/>
			                    <div *ngIf="editForm.get('alamat')!.invalid && (editForm.get('alamat')!.dirty || editForm.get('alamat')!.touched)">
			                        <small class="form-text text-danger"
			                               *ngIf="editForm.get('alamat')?.errors?.required">
			                        This field is required.
			                        </small>
			                    </div>
			                </div>
		                </div>
	                </div>
                 <br>
                 <br>
                 </div>
		  </div>
		  <div class="tab-pane fade" id=setting role="tabpanel" aria-labelledby="setting-tab">
        <div class="card">
		  <div class="row pad2">
               <div class="col-md-6">
               <div class="form-group">
                    <label class="form-control-label" for="field_loundry">Loundry&nbsp;<span class="required">*</span></label>
                    <select class="form-control" name="loundry" formControlName="loundry" id="field_loundry">
                        <option value="false">Tidak</option>
                        <option value="true">Ya</option>
                    </select>
                </div> 
               </div>
               <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_beasiswa">Beasiswa&nbsp;<span class="required">*</span></label>
                    <select class="form-control" name="beasiswa" formControlName="beasiswa" id="field_beasiswa">
                        <option value="false">Tidak</option>
                        <option value="true">Ya</option>
                    </select>
                </div>
               </div>
           </div>
           <div class="row pad2">
               <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_jenisBeasiswa">Jenis Beasiswa</label>
                    <select class="form-control" name="jenisBeasiswa" formControlName="jenisBeasiswa" id="field_jenisBeasiswa" placeholder="Optional">
                        <option [value]="null">Optional</option>
                        <option value="prestasi">Prestasi</option>
                        <option value="ditangguhkan">Ditangguhkan</option>
                        <option value="ditanggung">Ditanggung</option>
                    </select>
               	</div>
               </div>
               <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_jmlBulan">Jml Bulan Beasiswa</label>
                    <input type="text" class="form-control" name="jmlBulan" id="field_jmlBulan" placeholder="Optional"
                           formControlName="jmlBulan"/>
                </div>
               </div>
             </div>
             <div class="row pad2">
               <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.besarBayar.kelas" for="field_kelas">Kelas&nbsp;<span class="required">*</span></label>
                    <select class="form-control" id="field_kelas" name="kelas" formControlName="kelas">
                        <option [ngValue]="kelasOption.id === editForm.get('kelas')!.value?.id ? kelasOption.nama : kelasOption.nama" *ngFor="let kelasOption of kelas; trackBy: trackById">{{ kelasOption.nama }}</option>
                    </select>
                </div>
               </div>
               <div class="col-md-6">
	            <div class="form-group">
                    <label class="form-control-label" for="field_tahunAjaran">Tahun Ajaran&nbsp;<span class="required">*</span></label>
                   <select class="form-control" name="tahunAjaran" formControlName="tahunAjaran" id="field_tahunAjaran">
                        <option value="2020/2021">2020/2021</option>
                        <option value="2021/2022">2021/2022</option>
                        <option value="2022/2023">2022/2023</option>
                        <option value="2024/2025">2024/2025</option>
                    </select>
                </div>
               </div>
             </div>  
             <div class="row pad2">
               <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_jenisKelamin">Jenis Kelamin&nbsp;<span class="required">*</span></label>
                    <select class="form-control" name="jenisKelamin" formControlName="jenisKelamin" id="field_jenisKelamin">
                        <option value="LAKILAKI">LAKILAKI</option>
                        <option value="PEREMPUAN">PEREMPUAN</option>
                    </select>
                </div>
               </div>
               <div class="col-md-6">
               	<div class="form-group">
                    <label class="form-control-label" for="field_noTelephone">No Telephone&nbsp;<span class="required">*</span></label>
                    <input type="text" class="form-control" name="noTelephone" id="field_noTelephone"
                           formControlName="noTelephone"/>
                </div>
               </div>
              </div>
                 <br>
          </div>
			</div>
			</div>
		</div>
	</div>
</div>
    	<div class="modal-footer justify-content-center">
            <div class="text-center">
	  			<button mat-button class="btn btn-danger" (click)="clear()">
		            <fa-icon [icon]="'times'"></fa-icon>&nbsp;<span>Cancel</span>
		        </button>
                <button mat-raised-button type="button" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-success btn-fill" (click)="save()">
                     <i class="material-icons">save</i>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
    	</div>
</form>